Bug 690012 - [abrt] xarchiver-0.5.2-6.fc15: IA__gtk_tree_model_get_valist: Process /usr/bin/xarchiver was killed by signal 11 (SIGSEGV)
Summary: [abrt] xarchiver-0.5.2-6.fc15: IA__gtk_tree_model_get_valist: Process /usr/bi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xarchiver
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://sourceforge.net/tracker/?func...
Whiteboard: abrt_hash:094383638bb8d2d5c6390512674...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-23 01:36 UTC by Bastiaan Jacques
Modified: 2011-07-03 19:19 UTC (History)
1 user (show)

Fixed In Version: xarchiver-0.5.2-10.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 17:53:50 UTC


Attachments (Terms of Use)
File: backtrace (30.57 KB, text/plain)
2011-03-23 01:36 UTC, Bastiaan Jacques
no flags Details
fix (606 bytes, patch)
2011-05-16 19:51 UTC, Bastiaan Jacques
no flags Details | Diff

Description Bastiaan Jacques 2011-03-23 01:36:18 UTC
abrt version: 1.1.17
architecture: i686
Attached file: backtrace, 31302 bytes
cmdline: xarchiver /home/bastiaan/Downloads/lightspark-0.4.4.3-2.fc14.src.rpm
component: xarchiver
Attached file: coredump, 29491200 bytes
crash_function: IA__gtk_tree_model_get_valist
executable: /usr/bin/xarchiver
kernel: 2.6.38-1.fc15.i686
package: xarchiver-0.5.2-6.fc15
rating: 4
reason: Process /usr/bin/xarchiver was killed by signal 11 (SIGSEGV)
release: Fedora release 15 (Lovelock)
time: 1300843666
uid: 501

How to reproduce
-----
1. Opened an archive (RPM) containing a .spec file.
2. Right-click the .spec file, picked "Open With".
3. In the Dialogue that opens for choosing a program, pressed 'g' to search the list.

Comment 1 Bastiaan Jacques 2011-03-23 01:36:21 UTC
Created attachment 486940 [details]
File: backtrace

Comment 2 Bastiaan Jacques 2011-03-23 01:53:34 UTC
Console output immediately prior to the segfault:


(xarchiver:4193): Gtk-CRITICAL **: gtk_list_store_get_value: assertion `VALID_ITER (iter, list_store)' failed

(xarchiver:4193): GLib-GObject-WARNING **: gtype.c:4201: type id `0' is invalid

(xarchiver:4193): GLib-GObject-WARNING **: can't peek value table for type `<invalid>' which is not currently referenced

Comment 3 Christoph Wickert 2011-05-16 16:57:01 UTC
Can you reproduce this crash? Does it crash with every srpm or every time with this particular one?

Comment 4 Bastiaan Jacques 2011-05-16 19:51:44 UTC
Created attachment 499214 [details]
fix

(In reply to comment #3)
> Can you reproduce this crash?

Yes, every time.

> Does it crash with every srpm or every time with
> this particular one?

It happens with any type of archive; I have tried it with srpm, rpm, tar and tar.bz2.

It crashes in the same manner on my x86_64 machine.

Patch attached. Will you please upstream it?

Comment 5 Christoph Wickert 2011-06-02 17:22:47 UTC
Thanks for the patch. I can try upstreaming it, however it seems like xarchiver is no longer maintained. There is nobody taking care of bug reports.

Comment 6 Christoph Wickert 2011-06-02 18:38:34 UTC
Patch forwarded upstream at https://sourceforge.net/tracker/?func=detail&aid=3310778&group_id=140153&atid=745600

Comment 7 Fedora Update System 2011-06-02 19:23:46 UTC
xarchiver-0.5.2-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xarchiver-0.5.2-8.fc14

Comment 8 Fedora Update System 2011-06-02 19:24:19 UTC
xarchiver-0.5.2-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xarchiver-0.5.2-8.fc15

Comment 9 Fedora Update System 2011-06-03 05:27:58 UTC
Package xarchiver-0.5.2-8.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xarchiver-0.5.2-8.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xarchiver-0.5.2-8.fc15
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-06-24 17:53:35 UTC
xarchiver-0.5.2-10.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-07-03 19:19:31 UTC
xarchiver-0.5.2-10.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.